Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3SynchronousAuth Required

AddSNSDingTalkAtPerson

AddSNSDingTalkAtPerson

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • phoneNumberStringRequired

      The phone number of the DingTalk user. (Users register DingTalk with their phone numbers.)

    • endpointUuidStringRequired

      The UUID of the DingTalk endpoint.

    • resourceUuidString

      Optional.

    • tagUuidList

      Optional. The tag uuid list.

    • remarkString

      Optional. The remark.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSDingTalkAtPersonInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • phoneNumberStringRequired

      The phone number of the DingTalk user.

    • endpointUuidStringRequired

      The UUID of the DingTalk endpoint.

Endpoint

POST/zstack/v1/sns/application-endpoints/ding-talk/at-persons

/zstack/v1/sns/application-endpoints/ding-talk/at-persons

Operation ID

AddSNSDingTalkAtPerson

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk/at-persons' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"phoneNumber":"<phoneNumber>","endpointUuid":"<endpointUuid>","resourceUuid":"<resourceUuid>","tagUuid":["<tagUuid>"],"remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "af3c83c835234d11b1afe022e85d67ec", "phoneNumber": "18988887777", "endpointUuid": "7b9b311a1a6c445bbe48c02b52f91ef6", "createDate": "Dec 25, 2023 2:07:43 PM", "lastOpDate": "Dec 25, 2023 2:07:43 PM", "remark": "jack" } }

Change History

This API has no change history records yet.

View all change history